# ---------------------------------------------------------------------------
# StripeColor - A Plugin for Movable Type
#
# Release 0.2
# December 22, 2004
#
# Author: nlog(n)
# http://nlogn.ath.cx/
# mailto:n@nlogn.ath.cx
# ---------------------------------------------------------------------------

package MT::Plugins::StripeColor;

use strict;
use MT::Template::Context;
MT::Template::Context->add_tag(StripeColor => \&StripeColor);
use vars qw($VERSION);
$VERSION = '0.2';
my $name = 'StripeColor';

if (MT->version_number >= 3) {
  require MT::Plugin;
  my $plugin = MT::Plugin->new({
    name => "$name $VERSION",
    description => 'Changes colors alternatively of iterative items, including entries, comments and trackbacks.',
    doc_link => 'http://nlogn.ath.cx/plugins/stripecolor/'
  });
  MT->add_plugin($plugin);
}

sub StripeColor {
  my ($ctx, $args) = @_;
  my $color;
  my $oddcolor = $args->{oddcolor}     || '#EEEEEE';
  my $evencolor = $args->{evencolor}   || '#FAFAFA';
  my $var = defined($args->{target}) ? $args->{target} : $name;
  my $num = defined($ctx->{__stash}{stripevars}{$var}) ?
    $ctx->{__stash}{stripevars}{$var} : 0;
  $ctx->{__stash}{stripevars}{$var} = ++$num;

  if ($num % 2) {
    $color = $oddcolor;
  } else {
    $color = $evencolor;
  }

  $color;
}

1;
